Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 13656)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -28,15 +27,16 @@
   [Item("Feature Correlation Matrix", "Represents the feature correlation matrix.")]
   public class CorrelationMatrixContent : Item, IViewChartShortcut {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Gradient; }
-    }
+
 
     private PreprocessingContext Context { get; set; }
-    private ITransactionalPreprocessingData PreprocessingData {
+    private ITransactionalPreprocessingData PreprocessingData
+    {
       get { return Context.Data; }
     }
 
-    public DataAnalysisProblemData ProblemData {
-      get {
+    public DataAnalysisProblemData ProblemData
+    {
+      get
+      {
         var problemData = (DataAnalysisProblemData)Context.CreateNewProblemData();
         foreach (var input in problemData.InputVariables)
@@ -60,5 +60,6 @@
     }
 
-    public event DataPreprocessingChangedEventHandler Changed {
+    public event DataPreprocessingChangedEventHandler Changed
+    {
       add { PreprocessingData.Changed += value; }
       remove { PreprocessingData.Changed -= value; }
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 13656)
@@ -1,4 +1,3 @@
-﻿using System.Drawing;
-using HeuristicLab.Common;
+﻿using HeuristicLab.Common;
 using HeuristicLab.Core;
 
@@ -7,7 +6,5 @@
 
   public class DataCompletenessChartContent : Item, IViewChartShortcut {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.EditBrightnessContrast; }
-    }
+
 
     //public DataGridLogic DataGridLogic { get; private set; }
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 13656)
@@ -22,5 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Drawing;
 using System.Linq;
 using HeuristicLab.Common;
@@ -35,62 +34,76 @@
     public ITransactionalPreprocessingData PreProcessingData { get; private set; }
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
-    }
 
     public ManipulationLogic ManipulationLogic { get; private set; }
     public FilterLogic FilterLogic { get; private set; }
 
-    public int Rows {
-      get {
+    public int Rows
+    {
+      get
+      {
         return PreProcessingData.Rows;
       }
-      set {
+      set
+      {
         //does nothing
       }
     }
 
-    public int Columns {
-      get {
+    public int Columns
+    {
+      get
+      {
         return PreProcessingData.Columns;
       }
-      set {
+      set
+      {
         //does nothing
       }
     }
 
-    public IEnumerable<string> ColumnNames {
-      get {
+    public IEnumerable<string> ColumnNames
+    {
+      get
+      {
         return PreProcessingData.VariableNames;
       }
-      set {
+      set
+      {
 
       }
     }
 
-    public IEnumerable<string> RowNames {
-      get {
+    public IEnumerable<string> RowNames
+    {
+      get
+      {
         return Enumerable.Range(1, Rows).Select(n => n.ToString());
       }
-      set {
+      set
+      {
         throw new NotSupportedException();
       }
     }
 
-    public bool SortableView {
-      get {
+    public bool SortableView
+    {
+      get
+      {
         return true;
       }
-      set {
+      set
+      {
         throw new NotSupportedException();
       }
     }
 
-    public bool ReadOnly {
+    public bool ReadOnly
+    {
       get { return false; }
     }
 
 
-    public IDictionary<int, IList<int>> Selection {
+    public IDictionary<int, IList<int>> Selection
+    {
       get { return PreProcessingData.Selection; }
       set { PreProcessingData.Selection = value; }
@@ -132,5 +145,6 @@
     }
 
-    public event DataPreprocessingChangedEventHandler Changed {
+    public event DataPreprocessingChangedEventHandler Changed
+    {
       add { PreProcessingData.Changed += value; }
       remove { PreProcessingData.Changed -= value; }
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 13656)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -29,7 +28,5 @@
   public class FilterContent : Item, IViewShortcut {
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Filter; }
-    }
+
 
     private ICheckedItemCollection<IFilter> filters = new CheckedItemCollection<IFilter>();
@@ -37,9 +34,12 @@
     public FilterLogic FilterLogic { get; private set; }
 
-    public ICheckedItemCollection<IFilter> Filters {
-      get {
+    public ICheckedItemCollection<IFilter> Filters
+    {
+      get
+      {
         return this.filters;
       }
-      set {
+      set
+      {
         this.filters = value;
       }
@@ -47,9 +47,12 @@
 
     private bool isAndCombination = true;
-    public bool IsAndCombination {
-      get {
+    public bool IsAndCombination
+    {
+      get
+      {
         return this.isAndCombination;
       }
-      set {
+      set
+      {
         this.isAndCombination = value;
       }
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs	(revision 13656)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using System.Drawing;
 using System.Linq;
 using HeuristicLab.Common;
@@ -30,12 +29,11 @@
   public class HistogramContent : PreprocessingChartContent {
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Statistics; }
-    }
+
     private const int MAX_DISTINCT_VALUES_FOR_CLASSIFCATION = 20;
 
     private int classifierVariableIndex = 0;
 
-    public int ClassifierVariableIndex {
+    public int ClassifierVariableIndex
+    {
       get { return this.classifierVariableIndex; }
       set { this.classifierVariableIndex = value; }
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 13656)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -29,7 +28,5 @@
   public class LineChartContent : PreprocessingChartContent {
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
-    }
+
 
     public LineChartContent(IFilteredPreprocessingData preprocessingData)
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 13656)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -37,7 +36,5 @@
     public FilterLogic FilterLogic { get { return filterLogic; } }
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Method; }
-    }
+
 
     public ManipulationContent(ManipulationLogic theManipulationLogic, SearchLogic theSearchLogic, FilterLogic theFilterLogic) {
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 13656)
@@ -22,5 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Drawing;
 using System.Linq;
 using HeuristicLab.Analysis;
@@ -32,10 +31,9 @@
   [Item("PreprocessingChart", "Represents a preprocessing chart.")]
   public class PreprocessingChartContent : Item, IViewChartShortcut {
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.PieChart; }
-    }
+
 
     private bool allInOneMode = true;
-    public bool AllInOneMode {
+    public bool AllInOneMode
+    {
       get { return this.allInOneMode; }
       set { this.allInOneMode = value; }
@@ -43,5 +41,6 @@
 
     private ICheckedItemList<StringValue> variableItemList = null;
-    public ICheckedItemList<StringValue> VariableItemList {
+    public ICheckedItemList<StringValue> VariableItemList
+    {
       get { return this.variableItemList; }
       set { this.variableItemList = value; }
@@ -135,5 +134,6 @@
     }
 
-    public event DataPreprocessingChangedEventHandler Changed {
+    public event DataPreprocessingChangedEventHandler Changed
+    {
       add { PreprocessingData.Changed += value; }
       remove { PreprocessingData.Changed -= value; }
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 13656)
@@ -21,5 +21,4 @@
 
 using System.Collections.Generic;
-using System.Drawing;
 using System.Linq;
 using HeuristicLab.Analysis;
@@ -47,7 +46,5 @@
     }
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
-    }
+
 
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 13656)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -38,11 +37,10 @@
     }
 
-    public StatisticsLogic StatisticsLogic {
+    public StatisticsLogic StatisticsLogic
+    {
       get { return statisticsLogic; }
     }
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Object; }
-    }
+
 
     public override IDeepCloneable Clone(Cloner cloner) {
@@ -50,5 +48,6 @@
     }
 
-    public event DataPreprocessingChangedEventHandler Changed {
+    public event DataPreprocessingChangedEventHandler Changed
+    {
       add { statisticsLogic.Changed += value; }
       remove { statisticsLogic.Changed -= value; }
Index: branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs
===================================================================
--- trunk/sources/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 13517)
+++ branches/WebJobManager/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 13656)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Drawing;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -34,7 +33,5 @@
     public ICheckedItemList<ITransformation> CheckedTransformationList { get; private set; }
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Method; }
-    }
+
 
     public TransformationContent(IPreprocessingData data, FilterLogic filterLogic) {
